package com.lynarstudios.ls.std.time.systemtime;

import java.time.LocalDateTime;
import java.time.ZoneId;

public class LocalDateTimeConverter
{
  public LocalDateTimeConverter()
  {
    this.zoneId = ZoneId.systemDefault();
  }

  public LocalDateTimeConverter(ZoneId zoneId)
  {
    this.zoneId = zoneId;
  }

  public DateParameter toDateParameter(LocalDateTime localDateTime)
  {
    DateParameter dateParameter = new DateParameter();
    dateParameter.setYear(localDateTime.getYear());
    dateParameter.setMonth((byte) localDateTime.getMonth().getValue());
    dateParameter.setDay((byte) localDateTime.getDayOfMonth());
    dateParameter.setHour((byte) localDateTime.getHour());
    dateParameter.setMinute((byte) localDateTime.getMinute());
    dateParameter.setSecond((byte) localDateTime.getSecond());

    return dateParameter;
  }

  public long toUnixTimeStamp(LocalDateTime localDateTime)
  {
    return localDateTime.atZone(this.zoneId).toEpochSecond();
  }

  private final ZoneId zoneId;
}
